{% extends 'base/dahsboard_base.html' %}
{% block content %}
<form method="post" class="form-compact form-bg" enctype="multipart/form-data" novalidate style="margin-bottom: 50px;">
    {% csrf_token %}
    <div class="container-fluid pt-4 px-4">
        <div class="col-sm-12 col-xl-6" style="margin: 0 auto;">
            <div class="bg-secondary rounded h-100 p-4">
                <h6 class="mb-4">Floating Label</h6>
                <div class="form-floating mb-3">
                    <input type="email" class="form-control" id="floatingInput" placeholder="name@example.com">
                    <label for="floatingInput">Email address</label>
                </div>
                <div class="form-floating mb-3">
                    <input type="password" class="form-control" id="floatingPassword" placeholder="Password">
                    <label for="floatingPassword">Password</label>
                </div>
                <div class="form-floating mb-3">
                    <select class="form-select" id="floatingSelect" aria-label="Floating label select example">
                        <option selected="">Open this select menu</option>
                        <option value="1">One</option>
                        <option value="2">Two</option>
                        <option value="3">Three</option>
                    </select>
                    <label for="floatingSelect">Works with selects</label>
                </div>
                <div class="form-floating">
                    <textarea class="form-control" placeholder="Leave a comment here" id="floatingTextarea"
                        style="height: 150px;"></textarea>
                    <label for="floatingTextarea">Comments</label>
                </div>
            </div>
        </div>
    </div>
</form>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.0.0-alpha1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-csv/0.71/jquery.csv-0.71.min.js"></script>
<script>
    $(document).ready(function () {
        $('.services').click(function () {
            var get_time = ''
            var tprice = $('#id_price').val()
            if (tprice == '') {
                var price = 0
            } else {
                var price = parseInt(tprice)
            }
            if ($('#aprox_time').val() == '') {
                var time = 0
            } else {
                old_time = $('#aprox_time').val().split(' ')
                if (old_time.length == 2) {
                    var time = parseInt(old_time[0])
                } else {
                    var time = parseInt(old_time[0])
                }
            }
            if (this.checked == true) {
                var url = '/api/master/service-price-time/' + $(this).val();
                $.ajax({
                    type: 'get',
                    url: url,
                    success: function (result) {
                        get_time = result.aproximate_time.split(' ')
                        if (get_time.length == 2) {
                            time += parseInt(get_time[0])
                        } else {
                            time += parseInt(get_time[0])
                        }
                        price += parseInt(result.price)
                        $('#aprox_time').val(String(time))
                        $('#id_price').val(price);
                    }
                });
            }
            else {
                var url = '/api/master/service-price-time/' + $(this).val();
                $.ajax({
                    type: 'get',
                    url: url,
                    success: function (result) {
                        get_time = result.aproximate_time.split(' ')
                        if (get_time.length == 2) {
                            time -= parseInt(get_time[0])
                        } else {
                            time -= parseInt(get_time[0])
                        }
                        price -= parseInt(result.price)
                        $('#aprox_time').val(String(time))
                        $('#id_price').val(price);
                    }
                });
            }
        });
    }); 
</script>
{% endblock %}